PasswordAuthentication (Java Platform SE 8 )
Keywords: java.net.PasswordAuthentication class
Date: 2020-03-26

compact1, compact2, compact3
java.net

## Class PasswordAuthentication

- java.lang.Object
- - java.net.PasswordAuthentication

-     public final class PasswordAuthentication
      extends Object

  The class PasswordAuthentication is a data holder that is used by Authenticator. It is simply a repository for a user name and a password.
  Since:
    1.2
  See Also:
    `Authenticator`, `Authenticator.getPasswordAuthentication()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordAuthentication(String userName, char[] password)` Creates a new `PasswordAuthentication` object from the given user name and password.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getPassword()` Returns the user password.
    `String` | `getUserName()` Returns the user name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordAuthentication

          public PasswordAuthentication(String userName,
                                        char[] password)

      Creates a new `PasswordAuthentication` object from the given user name and password.

      Note that the given user password is cloned before it is stored in the new `PasswordAuthentication` object.

      Parameters:
        `userName` - the user name
        `password` - the user's password

  - ### Method Detail

    - #### getUserName

          public String getUserName()

      Returns the user name.
      Returns:
        the user name

    - #### getPassword

          public char[] getPassword()

      Returns the user password.

      Note that this method returns a reference to the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

      Returns:
        the password

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.